nanxinlin 6 vuotta sitten
vanhempi
commit
f04cc61464

+ 2 - 2
RainbowPlanet/Podfile

@@ -74,8 +74,8 @@ pod 'UMCAnalytics'
 pod 'UMCPush'
 # U-Share SDK UI模块(分享面板,建议添加)
 pod 'UMCShare/UI'
-# 集成微信(精简版0.2M)
-pod 'UMCShare/Social/ReducedWeChat'
+# 集成微信(完整版14.4M)
+pod 'UMCShare/Social/WeChat'
 # 集成QQ/QZone/TIM(精简版0.5M)
 pod 'UMCShare/Social/ReducedQQ'
 # 集成新浪微博(精简版1M)

+ 6 - 2
RainbowPlanet/Podfile.lock

@@ -48,6 +48,10 @@ PODS:
   - UMCShare/Social/ReducedWeChat (6.9.5):
     - UMCCommon
     - UMCShare/Core
+  - UMCShare/Social/WeChat (6.9.5):
+    - UMCCommon
+    - UMCShare/Core
+    - UMCShare/Social/ReducedWeChat
   - UMCShare/UI (6.9.5):
     - UMCCommon
     - UMCShare/Core
@@ -82,7 +86,7 @@ DEPENDENCIES:
   - UMCSecurityPlugins
   - UMCShare/Social/ReducedQQ
   - UMCShare/Social/ReducedSina
-  - UMCShare/Social/ReducedWeChat
+  - UMCShare/Social/WeChat
   - UMCShare/UI
   - XLPagerTabStrip
 
@@ -151,6 +155,6 @@ SPEC CHECKSUMS:
   UMCShare: 552b29753f1b4da87b51d96545ed19e6263df397
   XLPagerTabStrip: 22d4c58200d7c105e0e407ab6bfd01a5d85014be
 
-PODFILE CHECKSUM: fe35392f47cbe31de96ff7d51d9797d0079cd08a
+PODFILE CHECKSUM: 9e73bf265c1f41125de8f9b50930ad56395b600a
 
 COCOAPODS: 1.5.3

+ 26 - 26
RainbowPlanet/RainbowPlanet.xcodeproj/project.pbxproj

@@ -403,8 +403,8 @@
 				A7AE0118222E760500F521EA /* Sources */,
 				A7AE0119222E760500F521EA /* Frameworks */,
 				A7AE011A222E760500F521EA /* Resources */,
-				B325D4054C9A78844470B0EE /* [CP] Embed Pods Frameworks */,
-				1CC9154061F9A8006EE90A73 /* [CP] Copy Pods Resources */,
+				4E1AFEECFA984C63F4BF36D2 /* [CP] Embed Pods Frameworks */,
+				354DC3DCC42099CBDF4679C8 /* [CP] Copy Pods Resources */,
 			);
 			buildRules = (
 			);
@@ -523,7 +523,7 @@
 /* End PBXResourcesBuildPhase section */
 
 /* Begin PBXShellScriptBuildPhase section */
-		1CC9154061F9A8006EE90A73 /* [CP] Copy Pods Resources */ = {
+		354DC3DCC42099CBDF4679C8 /* [CP] Copy Pods Resources */ = {
 			isa = PBXShellScriptBuildPhase;
 			buildActionMask = 2147483647;
 			files = (
@@ -547,29 +547,7 @@
 			shellScript = "\"${SRCROOT}/Pods/Target Support Files/Pods-RainbowPlanet/Pods-RainbowPlanet-resources.sh\"\n";
 			showEnvVarsInLog = 0;
 		};
-		8127BCB7B14A2FEE0C53A4B1 /* [CP] Check Pods Manifest.lock */ = {
-			isa = PBXShellScriptBuildPhase;
-			buildActionMask = 2147483647;
-			files = (
-			);
-			inputFileListPaths = (
-			);
-			inputPaths = (
-				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
-				"${PODS_ROOT}/Manifest.lock",
-			);
-			name = "[CP] Check Pods Manifest.lock";
-			outputFileListPaths = (
-			);
-			outputPaths = (
-				"$(DERIVED_FILE_DIR)/Pods-RainbowPlanet-checkManifestLockResult.txt",
-			);
-			runOnlyForDeploymentPostprocessing = 0;
-			shellPath = /bin/sh;
-			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
-			showEnvVarsInLog = 0;
-		};
-		B325D4054C9A78844470B0EE /* [CP] Embed Pods Frameworks */ = {
+		4E1AFEECFA984C63F4BF36D2 /* [CP] Embed Pods Frameworks */ = {
 			isa = PBXShellScriptBuildPhase;
 			buildActionMask = 2147483647;
 			files = (
@@ -633,6 +611,28 @@
 			shellScript = "\"${SRCROOT}/Pods/Target Support Files/Pods-RainbowPlanet/Pods-RainbowPlanet-frameworks.sh\"\n";
 			showEnvVarsInLog = 0;
 		};
+		8127BCB7B14A2FEE0C53A4B1 /* [CP] Check Pods Manifest.lock */ = {
+			isa = PBXShellScriptBuildPhase;
+			buildActionMask = 2147483647;
+			files = (
+			);
+			inputFileListPaths = (
+			);
+			inputPaths = (
+				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
+				"${PODS_ROOT}/Manifest.lock",
+			);
+			name = "[CP] Check Pods Manifest.lock";
+			outputFileListPaths = (
+			);
+			outputPaths = (
+				"$(DERIVED_FILE_DIR)/Pods-RainbowPlanet-checkManifestLockResult.txt",
+			);
+			runOnlyForDeploymentPostprocessing = 0;
+			shellPath = /bin/sh;
+			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
+			showEnvVarsInLog = 0;
+		};
 /* End PBXShellScriptBuildPhase section */
 
 /* Begin PBXSourcesBuildPhase section */